Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11RSAPublicKey

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Key
            |
            +--org.mozilla.jss.pkcs11.PK11PubKey
                  |
                  +--org.mozilla.jss.pkcs11.PK11RSAPublicKey

All Implemented Interfaces:
  java.security.Key, java.security.PublicKey, java.security.interfaces.RSAKey, java.security.interfaces.RSAPublicKey, java.io.Serializable

public class PK11RSAPublicKey
extends PK11PubKey
implements java.security.interfaces.RSAPublicKey

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.jss.pkcs11.PK11PubKey
`keyProxy`

Fields inherited from interface java.security.PublicKey
`serialVersionUID`

Constructor Summary
`PK11RSAPublicKey(byte[] pointer)`

Method Summary
`java.math.BigInteger` | `getModulus()`
`private byte[]` | `getModulusByteArray()`
`java.math.BigInteger` | `getPublicExponent()`
`private byte[]` | `getPublicExponentByteArray()`

Methods inherited from class org.mozilla.jss.pkcs11.PK11PubKey
`fromRaw, fromSPKI, getAlgorithm, getEncoded, getFormat, getKeyType, verifyKeyIsOnToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Constructor Detail

### PK11RSAPublicKey

    public PK11RSAPublicKey(byte[] pointer)

Method Detail

### getModulus

    public java.math.BigInteger getModulus()

  Specified by:
    `getModulus` in interface `java.security.interfaces.RSAKey`

### getModulusByteArray

    private byte[] getModulusByteArray()

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

  Specified by:
    `getPublicExponent` in interface `java.security.interfaces.RSAPublicKey`

### getPublicExponentByteArray

    private byte[] getPublicExponentByteArray()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD